<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE list SYSTEM "../../templates/skills.dtd">
<list>
  <skill id="500" levels="2" name="True Berserker" enchantLevels1="30" enchantLevels2="30">
    <table name="#ench1pAtk"> 1.09 1.09 1.09 1.09 1.09 1.09 1.09 1.09 1.09 1.1 1.1 1.1 1.1 1.1 1.1 1.1 1.1 1.1 1.1 1.11 1.11 1.11 1.11 1.11 1.11 1.11 1.11 1.11 1.11 1.12 </table>
    <table name="#ench2val"> 0.19 0.19 0.18 0.17 0.17 0.16 0.15 0.15 0.14 0.13 0.13 0.12 0.11 0.11 0.10 0.09 0.08 0.08 0.07 0.06 0.06 0.05 0.05 0.04 0.04 0.03 0.02 0.02 0.01 0.01 </table> <!-- need retail info -->
    <table name="#ench1accCombat"> 4 4 4 4 4 4 4 4 4 4 4 4 4 4 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 6 </table>
    <table name="#amount"> 1.05 1.08 </table>
    <table name="#accCombat"> 2 4 </table>
    <table name="#rEvas"> 2 4 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="CONT"/>
    <set name="operateType" val="OP_TOGGLE"/>
    <for>
      <effect count="0x7fffffff" name="MpConsumePerLevel" time="3" val="0.2">
        <mul order="0x30" stat="pAtk" val="#amount"/>
        <mul order="0x30" stat="pAtkSpd" val="#amount"/>
        <add order="0x40" stat="accCombat" val="#accCombat"/>
        <mul order="0x30" stat="pDef" val="0.9"/>
        <sub order="0x40" stat="rEvas" val="#rEvas"/>
      </effect>
    </for>
    <enchant1for>
      <effect count="0x7fffffff" name="MpConsumePerLevel" time="3" val="0.2">
        <mul order="0x30" stat="pAtk" val="#ench1pAtk"/>
        <mul order="0x30" stat="pAtkSpd" val="1.08"/>
        <add order="0x40" stat="accCombat" val="#ench1accCombat"/>
        <mul order="0x30" stat="pDef" val="0.9"/>
        <sub order="0x40" stat="rEvas" val="4"/>
      </effect>
    </enchant1for>
    <enchant2for>
      <effect count="0x7fffffff" name="MpConsumePerLevel" time="3" val="#ench2val">
        <mul order="0x30" stat="pAtk" val="1.08"/>
        <mul order="0x30" stat="pAtkSpd" val="1.08"/>
        <add order="0x40" stat="accCombat" val="4"/>
        <mul order="0x30" stat="pDef" val="0.9"/>
        <sub order="0x40" stat="rEvas" val="4"/>
      </effect>
    </enchant2for>
  </skill>
  <skill id="501" levels="12" name="Violent Temper" enchantLevels1="30" enchantLevels2="30">
    <table name="#ench1power"> 80 81 82 82 83 84 84 85 86 86 87 88 88 89 90 90 91 92 92 93 94 94 95 96 96 97 98 98 99 100 </table>
    <table name="#ench2time"> 33 36 39 42 45 48 51 54 57 60 63 66 69 72 75 78 81 84 87 90 93 96 99 102 105 108 111 114 117 120 </table>
    <table name="#mpConsume"> 22 24 25 27 28 29 30 31 32 33 34 34 </table>
    <table name="#magicLvl"> 49 52 55 58 60 62 64 66 68 70 72 74 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="reuseDelay" val="2000"/>
    <set name="hitTime" val="1000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <enchant1 name="power" val="#ench1power"/>
    <for>
      <effect name="Debuff" time="30" val="0">
        <mul order="0x30" stat="mAtkSpd" val="0.85"/>
        <mul order="0x30" stat="pDef" val="0.77"/>
      </effect>
    </for>
    <enchant2for>
      <effect count="1" name="Debuff" time="#ench2time" val="0">
        <mul order="0x30" stat="mAtkSpd" val="0.85"/>
        <mul order="0x30" stat="pDef" val="0.77"/>
      </effect>
    </enchant2for>
  </skill>
  <skill id="502" levels="5" name="Life to Soul" enchantLevels1="30" enchantLevels2="30">
    <!-- CT2.2 retail confirmed -->
    <table name="#ench1num_souls"> 6 6 6 6 7 7 7 8 8 8 8 9 9 10 10 10 10 11 11 11 12 12 12 13 13 13 14 14 15 15 </table>
    <table name="#ench2hpConsume"> 323 318 312 307 301 296 290 285 279 274 268 263 257 252 247 241 236 230 225 219 214 208 203 197 192 186 181 175 170 165 </table>
    <table name="#hpConsume"> 193 237 279 311 328 </table>
    <table name="#num_souls"> 1 2 3 4 5 </table>
    <set name="hpConsume" val="#hpConsume"/>
    <set name="reuseDelay" val="11000"/>
    <set name="hitTime" val="900"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="CHARGESOUL"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="num_souls" val="#num_souls"/>
    <enchant1 name="num_souls" val="#ench1num_souls"/>
    <enchant2 name="hpConsume" val="#ench2hpConsume"/>
  </skill>
  <skill id="503" levels="3" name="Scorn">
    <table name="#mpConsume"> 21 28 33 </table>
    <table name="#power"> 1630 2089 2384 </table>
    <table name="#skillRadius"> 80 160 240 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="1000"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="target" val="TARGET_FRONT_AREA"/>
    <set name="skillRadius" val="#skillRadius"/>
    <set name="skillType" val="AGGDAMAGE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="504" levels="37" name="Triple Thrust" enchantLevels1="30" enchantLevels2="30" enchantLevels3="30" enchantLevels4="30" enchantLevels5="30" enchantLevels6="30" enchantLevels7="30">
    <!-- CT2.2 retail confirmed -->
    <table name="#ench1power"> 3255 3278 3300 3322 3344 3366 3388 3411 3433 3455 3477 3499 3521 3544 3566 3588 3610 3632 3654 3676 3699 3721 3743 3765 3787 3809 3832 3854 3876 3898 </table>
    <table name="#ench2mpConsume"> 59 58 57 56 55 54 53 52 51 50 49 48 47 46 45 44 43 42 41 40 39 38 37 36 35 34 33 32 31 30 </table>
    <table name="#enchElementPower"> 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 </table>
    <table name="#ench7duel"> 1.01 1.01 1.01 1.02 1.02 1.02 1.03 1.03 1.03 1.04 1.04 1.04 1.05 1.05 1.05 1.06 1.06 1.06 1.07 1.07 1.07 1.08 1.08 1.08 1.09 1.09 1.09 1.1 1.1 1.11 </table> <!-- Need Verify -->
    <table name="#mpConsume"> 29 30 31 31 32 33 34 35 36 37 38 39 40 40 41 42 43 44 45 46 47 48 49 49 50 51 52 53 54 54 55 56 57 58 59 59 60 </table>
    <table name="#power"> 620 659 700 742 787 833 882 932 984 1038 1094 1152 1212 1274 1337 1403 1470 1539 1610 1682 1757 1832 1909 1987 2067 2147 2229 2311 2394 2478 2562 2647 2732 2816 2901 2985 3069 </table>
    <table name="#magicLvl"> 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 </table>
    <set name="weaponsAllowed" val="131072"/> <!-- Rapier -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="1500"/>
    <set name="coolTime" val="720"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="overHit" val="true"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <set name="baseCritRate" val="15"/>
    <set name="soulMaxConsumeCount" val="5"/>
    <enchant1 name="power" val="#ench1power"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <enchant3 name="elementPower" val="#enchElementPower"/>
    <enchant3 name="element" val="0"/> <!-- Fire -->
    <enchant4 name="elementPower" val="#enchElementPower"/>
    <enchant4 name="element" val="1"/> <!-- Water -->
    <enchant5 name="elementPower" val="#enchElementPower"/>
    <enchant5 name="element" val="2"/> <!-- Wind -->
    <enchant6 name="elementPower" val="#enchElementPower"/>
    <enchant6 name="element" val="3"/> <!-- Earth -->
    <enchant7 name="pvpPowerMulti" val="#ench7duel"/>
  </skill>
  <skill id="505" levels="28" name="Shining Edge" enchantLevels1="30" enchantLevels2="30" enchantLevels3="30" enchantLevels4="30" enchantLevels5="30" enchantLevels6="30" enchantLevels7="30">
    <!-- CT2.2 retail confirmed -->
    <table name="#ench1power"> 5813 5852 5892 5932 5971 6011 6050 6090 6129 6169 6209 6248 6288 6327 6367 6406 6446 6486 6525 6565 6604 6644 6683 6723 6763 6802 6842 6881 6921 6960 </table>
    <table name="#ench2mpConsume"> 59 58 57 56 55 54 53 52 51 50 49 48 47 46 45 44 43 42 41 40 39 38 37 36 35 34 33 32 31 30 </table>
    <table name="#enchElementPower"> 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 </table>
    <table name="#ench7duel"> 1.01 1.01 1.01 1.02 1.02 1.02 1.03 1.03 1.03 1.04 1.04 1.04 1.05 1.05 1.05 1.06 1.06 1.06 1.07 1.07 1.07 1.08 1.08 1.08 1.09 1.09 1.09 1.1 1.1 1.11 </table> <!-- Need Verify -->
    <table name="#mpConsume"> 37 38 39 40 40 41 42 43 44 45 46 47 48 49 49 50 51 52 53 54 54 55 56 57 58 59 59 60 </table>
    <table name="#magicLvl"> 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 </table>
    <table name="#power"> 1853 1953 2057 2164 2274 2388 2505 2625 2748 2875 3004 3136 3271 3408 3548 3690 3834 3980 4127 4275 4425 4575 4726 4878 5029 5180 5330 5479 </table>
    <set name="weaponsAllowed" val="131072"/> <!-- Rapier -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="condition" val="16"/> <!-- Crit -->
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="1500"/>
    <set name="coolTime" val="720"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="BLOW"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="overHit" val="true"/>
    <set name="SSBoost" val="1.05"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <set name="soulMaxConsumeCount" val="5"/>
    <enchant1 name="power" val="#ench1power"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <enchant3 name="elementPower" val="#enchElementPower"/>
    <enchant3 name="element" val="0"/> <!-- Fire -->
    <enchant4 name="elementPower" val="#enchElementPower"/>
    <enchant4 name="element" val="1"/> <!-- Water -->
    <enchant5 name="elementPower" val="#enchElementPower"/>
    <enchant5 name="element" val="2"/> <!-- Wind -->
    <enchant6 name="elementPower" val="#enchElementPower"/>
    <enchant6 name="element" val="3"/> <!-- Earth -->
    <enchant7 name="pvpPowerMulti" val="#ench7duel"/>
  </skill>
  <skill id="506" levels="4" name="Checkmate" enchantLevels1="30" enchantLevels2="30" enchantLevels3="30" enchantLevels4="30">
    <!-- CT2.2 retail confirmed -->
    <table name="#ench1power"> 5813 5852 5892 5932 5971 6011 6050 6090 6129 6169 6209 6248 6288 6327 6367 6406 6446 6486 6525 6565 6604 6644 6683 6723 6763 6802 6842 6881 6921 6960 </table>
    <table name="#ench2mpConsume"> 50 49 48 47 46 46 45 44 43 42 41 41 40 39 38 37 36 36 35 34 33 32 31 31 30 29 28 27 26 26 </table>
    <table name="#enchElementPower"> 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 </table>
    <table name="#ench4duel"> 1.01 1.01 1.01 1.02 1.02 1.02 1.03 1.03 1.03 1.04 1.04 1.04 1.05 1.05 1.05 1.06 1.06 1.06 1.07 1.07 1.07 1.08 1.08 1.08 1.09 1.09 1.09 1.1 1.1 1.11 </table> <!-- Need Verify -->
    <table name="#magicLvl"> 52 60 66 72 </table>
    <table name="#mpConsume"> 36 43 47 51 </table>
    <table name="#power"> 2388 3408 4275 5180 </table>
    <set name="weaponsAllowed" val="131072"/> <!-- Rapier -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="720"/>
    <set name="ignoreShld" val="true"/>
    <set name="skillType" val="PDAM"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="200"/>
    <set name="soulMaxConsumeCount" val="5"/>
    <set name="baseCritRate" val="15"/>
    <set name="overHit" val="true"/>
    <set name="SSBoost" val="2.0"/>
    <enchant1 name="power" val="#ench1power"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <enchant3 name="elementPower" val="#enchElementPower"/>
    <enchant3 name="element" val="5"/> <!-- Dark -->
    <enchant4 name="pvpPowerMulti" val="#ench4duel"/>
    <cond msgId="113" addName="1">
      <target active_effect_id="1435"/>
    </cond>
  </skill>
  <skill id="507" levels="37" name="Twin Shot" enchantLevels1="30" enchantLevels2="30" enchantLevels3="30" enchantLevels4="30" enchantLevels5="30" enchantLevels6="30" enchantLevels7="30">
    <table name="#ench1power"> 5167 5202 5237 5273 5308 5343 5378 5413 5448 5484 5519 5554 5589 5621 5660 5695 5730 5765 5800 5835 5871 5906 5941 5976 6011 6046 6082 6117 6152 6187 </table>
    <table name="#ench2mpConsume"> 133 131 129 127 125 123 121 119 117 115 113 111 109 107 105 103 101 99 97 95 93 91 89 87 85 83 81 79 77 75 </table>
    <table name="#enchElementPower"> 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 </table>
    <table name="#ench7duel"> 1.01 1.01 1.01 1.02 1.02 1.02 1.03 1.03 1.03 1.04 1.04 1.04 1.05 1.05 1.05 1.06 1.06 1.06 1.07 1.07 1.07 1.08 1.08 1.08 1.09 1.09 1.09 1.1 1.1 1.11 </table> <!-- Need Verify -->
    <table name="#mpConsume"> 65 67 69 69 71 73 75 77 80 82 84 86 89 89 91 93 96 98 100 103 105 107 109 109 112 114 116 118 120 122 124 126 128 129 131 133 135 </table>
    <table name="#power"> 984 1046 1110 1178 1249 1322 1399 1479 1562 1647 1736 1828 1923 2021 2123 2227 2333 2443 2555 2670 2788 2908 3030 3154 3280 3408 3537 3668 3800 3933 4067 4201 4336 4470 4604 4738 4870 </table>
    <table name="#magicLvl"> 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 </table>
    <set name="weaponsAllowed" val="65536"/> <!-- Crossbow -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="overHit" val="true"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="3000"/>
    <set name="coolTime" val="720"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="900"/>
    <set name="effectRange" val="1400"/>
    <set name="baseCritRate" val="15"/>
    <set name="numberOfHits" val="2"/> <!-- Support for "Shoots 2 arrows continuously" -->
    <enchant1 name="power" val="#ench1power"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <enchant3 name="elementPower" val="#enchElementPower"/>
    <enchant3 name="element" val="0"/> <!-- Fire -->
    <enchant4 name="elementPower" val="#enchElementPower"/>
    <enchant4 name="element" val="1"/> <!-- Water -->
    <enchant5 name="elementPower" val="#enchElementPower"/>
    <enchant5 name="element" val="2"/> <!-- Wind -->
    <enchant6 name="elementPower" val="#enchElementPower"/>
    <enchant6 name="element" val="3"/> <!-- Earth -->
    <enchant7 name="pvpPowerMulti" val="#ench7duel"/>
  </skill>
  <skill id="508" levels="31" name="Rising Shot" enchantLevels1="30" enchantLevels2="30" enchantLevels3="30" enchantLevels4="30" enchantLevels5="30" enchantLevels6="30" enchantLevels7="30">
    <table name="#ench1power"> 1292 1301 1310 1319 1327 1336 1345 1354 1362 1371 1380 1389 1398 1406 1415 1424 1433 1442 1450 1459 1468 147 1486 1494 1503 1512 1521 1530 1538 1547 </table>
    <table name="#ench2mpConsume"> 199 196 193 190 187 184 181 178 175 172 169 166 163 160 157 154 151 148 145 142 139 136 133 130 127 124 121 118 115 113 </table>
    <table name="#enchElementPower"> 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 </table>
    <table name="#ench7duel"> 1.01 1.01 1.01 1.02 1.02 1.02 1.03 1.03 1.03 1.04 1.04 1.04 1.05 1.05 1.05 1.06 1.06 1.06 1.07 1.07 1.07 1.08 1.08 1.08 1.09 1.09 1.09 1.1 1.1 1.11 </table> <!-- Need Verify -->
    <table name="#mpConsume"> 112 116 119 123 126 129 133 133 137 140 143 147 150 154 157 160 164 164 167 170 173 177 180 183 186 188 191 194 197 199 202 </table>
    <table name="#power"> 350 370 391 412 434 457 481 506 531 557 584 611 639 668 697 727 758 789 820 852 885 917 950 984 1017 1051 1084 1118 1151 1185 1218 </table>
    <table name="#magicLvl"> 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 </table>
    <set name="weaponsAllowed" val="65536"/> <!-- Crossbow -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="150"/>
    <set name="overHit" val="true"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="3000"/>
    <set name="coolTime" val="720"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="500"/>
    <set name="effectRange" val="900"/>
    <enchant1 name="power" val="#ench1power"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <enchant3 name="elementPower" val="#enchElementPower"/>
    <enchant3 name="element" val="0"/> <!-- Fire -->
    <enchant4 name="elementPower" val="#enchElementPower"/>
    <enchant4 name="element" val="1"/> <!-- Water -->
    <enchant5 name="elementPower" val="#enchElementPower"/>
    <enchant5 name="element" val="2"/> <!-- Wind -->
    <enchant6 name="elementPower" val="#enchElementPower"/>
    <enchant6 name="element" val="3"/> <!-- Earth -->
    <enchant7 name="pvpPowerMulti" val="#ench7duel"/>
  </skill>
  <skill id="509" levels="34" name="Bleeding Shot" enchantLevels1="30" enchantLevels2="30" enchantLevels3="30">
    <table name="#dot"> 44 44 44 44 44 44 44 44 44 54 54 54 54 54 54 54 54 54 54 62 62 62 62 62 62 62 62 62 62 67 67 67 67 67 </table>
    <table name="#ench1power"> 2325 2341 2357 2373 2389 2405 2420 2436 2452 2468 2484 2500 2515 2531 2547 2563 2579 2595 2610 2626 2642 2658 2674 2690 2705 2721 2737 2753 2769 2784 </table>
    <table name="#ench2mpConsume"> 107 105 103 102 100 98 96 94 92 91 89 87 85 83 82 80 78 76 74 72 71 69 67 65 63 62 60 58 56 54 </table>
    <table name="#ench3effectPower"> 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 68 69 70 71 72 73 74 75 76 77 78 </table>
    <table name="#power"> 530 562 595 630 666 703 742 782 823 866 910 955 1002 1050 1100 1150 1202 1255 1309 1364 1420 1476 1534 1592 1651 1710 1770 1830 1891 1951 2012 2072 2132 2192 </table>
    <table name="#magicLvl"> 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 </table>
    <table name="#mpConsume"> 56 58 59 61 63 65 66 68 70 72 72 74 76 78 80 81 83 85 87 88 89 91 92 94 96 97 99 100 102 103 105 106 108 109 </table>
    <set name="weaponsAllowed" val="65536"/> <!-- Crossbow -->
    <set name="itemConsumeId" val="10113"/>
    <set name="itemConsumeCount" val="1"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="SSBoost" val="2.0"/>
    <set name="power" val="#power"/>
    <set name="ignoreShld" val="true"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="3000"/>
    <set name="coolTime" val="380"/>
    <set name="skillType" val="PDAM"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="900"/>
    <set name="effectRange" val="1400"/>
    <set name="soulMaxConsumeCount" val="5"/>
    <enchant1 name="power" val="#ench1power"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <for>
      <!-- Retail Values CT2.3: 44 44 44 44 44 44 44 44 44 54 54 54 54 54 54 54 54 54 54
        62 62 62 62 62 62 62 62 62 62 67 67 67 67 67 * 1 Sec -->
      <effect count="20" name="DamOverTime" val="#dot" abnormal="bleed" effectPower="50" effectType="BLEED">
        <mul order="0x30" stat="runSpd" val="0.8"/>
      </effect>
    </for>
    <enchant3for>
      <effect count="20" name="DamOverTime" val="#dot" abnormal="bleed" effectPower="#ench3effectPower" effectType="BLEED">
        <mul order="0x30" stat="runSpd" val="0.8"/>
      </effect>
    </enchant3for>
  </skill>
  <skill id="510" levels="5" name="Deadly Roulette" enchantLevels1="30" enchantLevels2="30">
    <table name="#ench1lethal1"> 6 6 6 6 6 6 7 7 7 7 7 7 8 8 8 8 8 8 9 9 9 9 9 9 10 10 10 10 10 10 </table>
    <table name="#ench1lethal2"> 41 41 41 42 42 42 43 43 43 44 44 44 45 45 45 46 46 46 47 47 47 48 48 48 49 49 49 50 50 50 </table> <!-- Guessing -->
    <table name="#ench2mpConsume"> 111 109 107 105 103 101 99 97 95 93 91 89 87 85 83 81 79 77 75 73 71 69 67 65 63 61 59 57 55 53 </table>
    <table name="#mpConsume"> 100 103 106 109 112 </table>
    <table name="#magicLvl"> 66 68 70 72 74 </table>
    <table name="#lethal2"> 10 18 25 33 40 </table> <!-- Guessing -->
    <set name="weaponsAllowed" val="65536"/> <!-- Crossbow -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="0"/>
    <set name="itemConsumeCount" val="1"/>
    <set name="itemConsumeId" val="10113"/>
    <set name="reuseDelay" val="150000"/>
    <set name="hitTime" val="3000"/>
    <set name="lethal2" val="#lethal2"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="PDAM"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="castRange" val="900"/>
    <set name="effectRange" val="1400"/>
    <enchant1 name="lethal1" val="#ench1lethal1"/>
    <enchant1 name="lethal2" val="#ench1lethal2"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <cond msg="Can be used when HP is below 10 percent.">
      <player hp="10"/>
    </cond>
  </skill>
  <skill id="511" levels="1" name="Temptation">
    <set name="mpConsume" val="44"/>
    <set name="magicLvl" val="49"/>
    <set name="power" val="500"/>
    <set name="reuseDelay" val="10000"/>
    <set name="hitTime" val="1000"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="AGGDAMAGE"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
    <set name="soulMaxConsumeCount" val="5"/>
  </skill>
  <skill id="512" levels="10" name="Create Bio Potion">
    <set name="target" val="TARGET_NONE"/>
    <set name="skillType" val="NOTDONE"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="hitTime" val="3000"/>
    <set name="soulMaxConsumeCount" val="5"/>
  </skill>
  <skill id="513" levels="1" name="Create Dark Seed">
    <set name="mpInitialConsume" val="12"/>
    <set name="mpConsume" val="46"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="150000"/>
    <set name="hitTime" val="3000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="CREATE_ITEM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="create_item_id" val="10112"/>
    <set name="create_item_count" val="1"/>
    <set name="soulConsumeCount" val="1"/>
  </skill>
  <skill id="514" levels="9" name="Fire Trap" enchantLevels1="30" enchantLevels2="30">
    <!-- CT2.2 retail confirmed -->
    <!-- Needs to be verified "Is enchantable but no stats for the +Power NpcId versions">
    <table name="#enchantNpcIds"> 13041 13042 13043 13044 13045 13046 13047 13048 13049 13050 13051 13052 13053 13054 13055 13056 13057 13058 13059 13060 13061 13062 13063 13064 13065 13066 13067 13068 13069 13070 </table -->
    <table name="#ench1triggerSkillLvl"> 10 10 11 11 11 12 12 12 13 13 13 14 14 14 15 15 15 16 16 16 17 17 17 18 18 18 19 19 19 20 </table>
    <table name="#ench2reuseDelay"> 44500 44000 43500 43000 42500 42000 41500 41000 40500 40000 39500 39000 38500 38000 37500 37000 36500 36000 35500 35000 34500 34000 33500 33000 32500 32000 31500 31000 30500 30000 </table>
    <table name="#triggerSkillLvl"> 1 2 3 4 5 6 7 8 9 </table>
    <set name="mpConsume" val="50"/>
    <set name="reuseDelay" val="45000"/>
    <set name="hitTime" val="3000"/>
    <set name="staticReuse" val="true"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="SUMMON_TRAP"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillRadius" val="350"/>
    <set name="triggerSkillId" val="5267"/>
    <set name="triggerSkillLvl" val="#triggerSkillLvl"/>
    <set name="summonTotalLifeTime" val="30000"/>
    <set name="trapNpcId" val="13037"/>
    <enchant1 name="triggerSkillLvl" val="#ench1triggerSkillLvl"/>
    <enchant2 name="reuseDelay" val="#ench2reuseDelay"/>
  </skill>
  <skill id="515" levels="6" name="Poison Trap" enchantLevels1="30" enchantLevels2="30">
    <!-- Needs retail value corrections -->
    <!-- Needs to be verified "Is enchantable but no stats for the +Power NpcId versions">
    <table name="#enchantNpcIds"> 13041 13042 13043 13044 13045 13046 13047 13048 13049 13050 13051 13052 13053 13054 13055 13056 13057 13058 13059 13060 13061 13062 13063 13064 13065 13066 13067 13068 13069 13070 </table -->
    <table name="#ench1triggerSkillLvl"> 7 7 8 8 8 9 9 9 10 10 10 11 11 11 12 12 12 13 13 13 14 14 14 15 15 15 16 16 16 17 </table>
    <table name="#ench2reuseDelay"> 44500 44000 43500 43000 42500 42000 41500 41000 40500 40000 39500 39000 38500 38000 37500 37000 36500 36000 35500 35000 34500 34000 33500 33000 32500 32000 31500 31000 30500 30000 </table>
    <table name="#triggerSkillLvl"> 1 2 3 4 5 6 </table>
    <set name="mpConsume" val="50"/>
    <set name="reuseDelay" val="45000"/>
    <set name="hitTime" val="3000"/>
    <set name="staticReuse" val="true"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="SUMMON_TRAP"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillRadius" val="350"/>
    <set name="triggerSkillId" val="5268"/>
    <set name="triggerSkillLvl" val="#triggerSkillLvl"/>
    <set name="summonTotalLifeTime" val="30000"/>
    <set name="trapNpcId" val="13037"/>
    <enchant1 name="triggerSkillLvl" val="#ench1triggerSkillLvl"/>
    <enchant2 name="reuseDelay" val="#ench2reuseDelay"/>
  </skill>
  <skill id="516" levels="6" name="Slow Trap" enchantLevels1="30" enchantLevels2="30">
    <!-- Needs retail value corrections -->
    <!-- Needs to be verified "Is enchantable but no stats for the +Power NpcId versions">
    <table name="#enchantNpcIds"> 13041 13042 13043 13044 13045 13046 13047 13048 13049 13050 13051 13052 13053 13054 13055 13056 13057 13058 13059 13060 13061 13062 13063 13064 13065 13066 13067 13068 13069 13070 </table -->
    <table name="#ench1triggerSkillLvl"> 7 7 8 8 8 9 9 9 10 10 10 11 11 11 12 12 12 13 13 13 14 14 14 15 15 15 16 16 16 17 </table>
    <table name="#ench2reuseDelay"> 44500 44000 43500 43000 42500 42000 41500 41000 40500 40000 39500 39000 38500 38000 37500 37000 36500 36000 35500 35000 34500 34000 33500 33000 32500 32000 31500 31000 30500 30000 </table>
    <table name="#triggerSkillLvl"> 1 2 3 4 5 6 </table>
    <set name="mpConsume" val="50"/>
    <set name="reuseDelay" val="45000"/>
    <set name="hitTime" val="3000"/>
    <set name="staticReuse" val="true"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="SUMMON_TRAP"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillRadius" val="350"/>
    <set name="triggerSkillId" val="5269"/>
    <set name="triggerSkillLvl" val="#triggerSkillLvl"/>
    <set name="summonTotalLifeTime" val="30000"/>
    <set name="trapNpcId" val="13037"/>
    <enchant1 name="triggerSkillLvl" val="#ench1triggerSkillLvl"/>
    <enchant2 name="reuseDelay" val="#ench2reuseDelay"/>
  </skill>
  <skill id="517" levels="5" name="Flash Trap" enchantLevels1="30" enchantLevels2="30">
    <!-- Needs retail value corrections -->
    <!-- Needs to be verified "Is enchantable but no stats for the +Power NpcId versions">
    <table name="#enchantNpcIds"> 13041 13042 13043 13044 13045 13046 13047 13048 13049 13050 13051 13052 13053 13054 13055 13056 13057 13058 13059 13060 13061 13062 13063 13064 13065 13066 13067 13068 13069 13070 </table -->
    <table name="#ench1triggerSkillLvl"> 6 6 7 7 7 8 8 8 9 9 9 10 10 10 11 11 11 12 12 12 13 13 13 14 14 14 15 15 15 16 </table>
    <table name="#ench2reuseDelay"> 44500 44000 43500 43000 42500 42000 41500 41000 40500 40000 39500 39000 38500 38000 37500 37000 36500 36000 35500 35000 34500 34000 33500 33000 32500 32000 31500 31000 30500 30000 </table>
    <table name="#triggerSkillLvl"> 1 2 3 4 5 </table>
    <set name="mpConsume" val="50"/>
    <set name="reuseDelay" val="45000"/>
    <set name="hitTime" val="3000"/>
    <set name="staticReuse" val="true"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="SUMMON_TRAP"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillRadius" val="350"/>
    <set name="triggerSkillId" val="5270"/>
    <set name="triggerSkillLvl" val="#triggerSkillLvl"/>
    <set name="summonTotalLifeTime" val="30000"/>
    <set name="trapNpcId" val="13037"/>
    <enchant1 name="triggerSkillLvl" val="#ench1triggerSkillLvl"/>
    <enchant2 name="reuseDelay" val="#ench2reuseDelay"/>
  </skill>
  <skill id="518" levels="8" name="Binding Trap" enchantLevels1="30" enchantLevels2="30">
    <!-- Needs retail value corrections -->
    <!-- Needs to be verified "Is enchantable but no stats for the +Power NpcId versions">
    <table name="#enchantNpcIds"> 13041 13042 13043 13044 13045 13046 13047 13048 13049 13050 13051 13052 13053 13054 13055 13056 13057 13058 13059 13060 13061 13062 13063 13064 13065 13066 13067 13068 13069 13070 </table -->
    <table name="#ench1triggerSkillLvl"> 9 9 10 10 10 11 11 11 12 12 12 13 13 13 14 14 14 15 15 15 16 16 16 17 17 17 18 18 18 19 </table>
    <table name="#ench2reuseDelay"> 44500 44000 43500 43000 42500 42000 41500 41000 40500 40000 39500 39000 38500 38000 37500 37000 36500 36000 35500 35000 34500 34000 33500 33000 32500 32000 31500 31000 30500 30000 </table>
    <table name="#triggerSkillLvl"> 1 2 3 4 5 6 7 8 </table>
    <set name="mpConsume" val="50"/>
    <set name="reuseDelay" val="45000"/>
    <set name="hitTime" val="3000"/>
    <set name="staticReuse" val="true"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="SUMMON_TRAP"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillRadius" val="350"/>
    <set name="triggerSkillId" val="5271"/>
    <set name="triggerSkillLvl" val="#triggerSkillLvl"/>
    <set name="summonTotalLifeTime" val="30000"/>
    <set name="trapNpcId" val="13037"/>
    <enchant1 name="triggerSkillLvl" val="#ench1triggerSkillLvl"/>
    <enchant2 name="reuseDelay" val="#ench2reuseDelay"/>
  </skill>
  <skill id="519" levels="1" name="Quiver of Bolts: A-Grade">
    <set name="mpInitialConsume" val="73"/>
    <set name="mpConsume" val="293"/>
    <set name="reuseDelay" val="600000"/>
    <set name="hitTime" val="3000"/>
    <set name="isMagic" val="true"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="CREATE_ITEM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="itemConsumeId" val="1461"/>
    <set name="itemConsumeCount" val="1"/>
    <set name="create_item_id" val="9636"/>
    <set name="create_item_count" val="700"/>
    <set name="random_count" val="2800"/>
  </skill>
  <skill id="520" levels="1" name="Quiver of Bolts: S-Grade">
    <set name="mpInitialConsume" val="80"/>
    <set name="mpConsume" val="318"/>
    <set name="reuseDelay" val="600000"/>
    <set name="hitTime" val="3000"/>
    <set name="isMagic" val="true"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="CREATE_ITEM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="itemConsumeId" val="1462"/>
    <set name="itemConsumeCount" val="1"/>
    <set name="create_item_id" val="9637"/>
    <set name="create_item_count" val="900"/>
    <set name="random_count" val="3600"/>
  </skill>
  <skill id="521" levels="8" name="Sharpshooting" enchantLevels1="30" enchantLevels2="30">
    <table name="#ench1pAtk"> 211 213 214 215 217 218 220 221 223 224 226 227 228 230 231 233 234 236 237 239 240 241 243 244 246 247 249 250 252 253 </table>
    <!-- table name="#ench1accCombat"> 6 6 6 6 6 6 6 7 7 7 7 7 7 7 8 8 8 8 8 8 8 8 9 9 9 9 9 9 9 10 </table -->
    <table name="#ench2mpConsume"> 33 33 32 32 32 31 31 30 30 29 29 28 28 28 27 27 26 26 25 25 25 24 24 23 23 22 22 21 20 20 </table>
    <table name="#ench2time"> 124 128 132 136 140 144 148 152 156 160 164 168 172 176 180 184 188 192 196 200 204 208 212 216 220 224 228 232 236 240 </table>
    <table name="#mpConsume"> 28 29 30 31 32 33 34 34 </table>
    <table name="#pAtk"> 124 134 145 155 166 177 188 199 </table>
    <table name="#accCombat"> 3 3 4 4 5 5 6 6 </table>
    <table name="#range"> 50 50 100 100 150 150 200 200 </table>
    <table name="#aggroPoints"> 566 582 597 611 624 635 646 655 </table>
    <set name="weaponsAllowed" val="65536"/> <!-- Crossbow -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="reuseDelay" val="10000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="#aggroPoints"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <for>
      <effect name="ImmobileBuff" time="120" val="0">
        <add order="0x40" stat="pAtk" val="#pAtk"/>
        <add order="0x40" stat="accCombat" val="#accCombat"/>
        <basemul order="0x30" stat="rCrit" val="0.2"/>
        <add order="0x40" stat="pAtkRange" val="#range"/>
      </effect>
    </for>
    <enchant1for>
      <effect name="ImmobileBuff" time="120" val="0">
        <add order="0x40" stat="pAtk" val="#ench1pAtk"/>
        <add order="0x40" stat="accCombat" val="6"/> <!-- Needs fix, should be #ench1accCombat -->
        <basemul order="0x30" stat="rCrit" val="0.2"/>
        <add order="0x40" stat="pAtkRange" val="200"/>
      </effect>
    </enchant1for>
    <enchant2for>
      <effect name="ImmobileBuff" time="#ench2time" val="0">
        <add order="0x40" stat="pAtk" val="199"/>
        <add order="0x40" stat="accCombat" val="6"/>
        <basemul order="0x30" stat="rCrit" val="0.2"/>
        <add order="0x40" stat="pAtkRange" val="200"/>
      </effect>
    </enchant2for>
  </skill>
  <skill id="522" levels="4" name="Real Target" enchantLevels1="30" enchantLevels2="30" enchantLevels3="30" enchantLevels4="30">
    <table name="#ench1pDef"> 0.99 0.98 0.98 0.97 0.97 0.95 0.94 0.93 0.93 0.92 0.91 0.9 0.9 0.88 0.87 0.86 0.86 0.85 0.84 0.81 0.8 0.8 0.79 0.78 0.78 0.77 0.76 0.74 0.73 0.72 </table> <!-- Guess -->
    <table name="#ench2pAtk"> 0.99 0.98 0.98 0.97 0.97 0.95 0.94 0.93 0.93 0.92 0.91 0.9 0.9 0.88 0.87 0.86 0.86 0.85 0.84 0.81 0.8 0.8 0.79 0.78 0.78 0.77 0.76 0.74 0.73 0.72 </table> <!-- Guess -->
    <table name="#ench3mDef"> 0.99 0.98 0.98 0.97 0.97 0.95 0.94 0.93 0.93 0.92 0.91 0.9 0.9 0.88 0.87 0.86 0.86 0.85 0.84 0.81 0.8 0.8 0.79 0.78 0.78 0.77 0.76 0.74 0.73 0.72 </table> <!-- Guess -->
    <table name="#ench4mAtk"> 0.99 0.98 0.98 0.97 0.97 0.95 0.94 0.93 0.93 0.92 0.91 0.9 0.9 0.88 0.87 0.86 0.86 0.85 0.84 0.81 0.8 0.8 0.79 0.78 0.78 0.77 0.76 0.74 0.73 0.72 </table> <!-- Guess -->
    <table name="#magicLvl"> 40 52 62 70 </table>
    <table name="#mpInitialConsume"> 3 4 6 7 </table>
    <table name="#mpConsume"> 11 14 19 22 </table>
    <table name="#castRange"> 600 700 800 900 </table>
    <table name="#effectRange"> 1100 1200 1300 1400 </table>
    <table name="#bowWpnVuln"> 1.12 1.16 1.2 1.24 </table>
    <table name="#crossbowWpnVuln"> 1.16 1.24 1.32 1.4 </table>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="80"/> <!-- Needs to be checked -->
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="1000"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="WEAKNESS"/>
    <set name="castRange" val="#castRange"/>
    <set name="effectRange" val="#effectRange"/>
    <for>
      <effect name="Debuff" time="30" val="0" abnormal="unknown30">
        <mul order="0x30" stat="bowWpnVuln" val="#bowWpnVuln"/>
        <mul order="0x30" stat="crossbowWpnVuln" val="#crossbowWpnVuln"/>
      </effect>
    </for>
    <enchant1for>
      <effect name="Debuff" time="30" val="0" abnormal="unknown30">
        <mul order="0x30" stat="bowWpnVuln" val="1.24"/>
        <mul order="0x30" stat="crossbowWpnVuln" val="1.4"/>
        <mul order="0x30" stat="pDef" val="#ench1pDef"/>
      </effect>
    </enchant1for>
    <enchant2for>
      <effect name="Debuff" time="30" val="0" abnormal="unknown30">
        <mul order="0x30" stat="bowWpnVuln" val="1.24"/>
        <mul order="0x30" stat="crossbowWpnVuln" val="1.4"/>
        <mul order="0x30" stat="pAtk" val="#ench2pAtk"/>
      </effect>
    </enchant2for>
    <enchant3for>
      <effect name="Debuff" time="30" val="0" abnormal="unknown30">
        <mul order="0x30" stat="bowWpnVuln" val="1.24"/>
        <mul order="0x30" stat="crossbowWpnVuln" val="1.4"/>
        <mul order="0x30" stat="mDef" val="#ench3mDef"/>
      </effect>
    </enchant3for>
    <enchant4for>
      <effect name="Debuff" time="30" val="0" abnormal="unknown30">
        <mul order="0x30" stat="bowWpnVuln" val="1.24"/>
        <mul order="0x30" stat="crossbowWpnVuln" val="1.4"/>
        <mul order="0x30" stat="mAtk" val="#ench4mAtk"/>
      </effect>
    </enchant4for>
  </skill>
  <skill id="523" levels="7" name="Imbue Dark Seed">
    <!-- Needs to be finished with a correct abnormal effect -->
    <table name="#magicLvl"> 62 64 66 68 70 72 74 </table>
    <table name="#effectLevel"> 1 2 3 4 5 6 7 </table>
    <set name="mpConsume" val="30"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="itemConsumeId" val="10112"/>
    <set name="itemConsumeCount" val="1"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="4000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <set name="effectId" val="5447"/>
    <set name="effectLevel" val="#effectLevel"/>
  </skill>
  <skill id="524" levels="1" name="Cure Dark Seed">
    <set name="mpConsume" val="59"/>
    <set name="reuseDelay" val="1000"/>
    <set name="hitTime" val="1500"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="NEGATE"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="negateId" val="5447"/>
  </skill>
  <skill id="525" levels="6" name="Decoy" enchantLevels1="30" enchantLevels2="30" enchantLevels3="30">
    <table name="#ench1mpInitialConsume"> 27 27 26 26 25 25 24 24 23 23 22 22 22 21 21 20 20 19 19 18 18 17 17 17 16 16 15 15 14 14 </table>
    <table name="#ench1mpConsume"> 109 106 105 102 102 100 98 96 94 92 90 89 86 85 82 81 78 78 76 74 72 70 68 66 65 62 61 58 57 56 </table>
    <table name="#ench2reuseDelay"> 590000 580000 570000 560000 550000 540000 530000 520000 510000 500000 490000 480000 470000 460000 450000 440000 430000 420000 410000 400000 390000 380000 370000 360000 350000 340000 330000 320000 310000 300000 </table>
    <table name="#ench3npcId"> 13071 13072 13073 13074 13075 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 13076 </table>
    <table name="#mpInitialConsume"> 15 19 22 25 26 27 </table>
    <table name="#mpConsume"> 60 75 88 98 104 110 </table>
    <table name="#magicLvl"> 43 52 60 66 70 74 </table>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="reuseDelay" val="600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="summonTotalLifeTime" val="20000"/>
    <set name="skillType" val="DECOY"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="npcId" val="13071"/>
    <enchant1 name="mpInitialConsume" val="#ench1mpInitialConsume"/>
    <enchant1 name="mpConsume" val="#ench1mpConsume"/>
    <enchant2 name="reuseDelay" val="#ench2reuseDelay"/>
    <enchant3 name="npcId" val="#ench3npcId"/>
  </skill>
  <skill id="526" levels="1" name="Enuma Elish" enchantLevels1="15" enchantLevels2="15" enchantLevels3="15" enchantLevels4="15">
    <!--
      Enchant route 3 has been added only due to the fact that NC uses a script to translate mostly everything ingame. Only wording differs, in reality it's SAME as route 2 -->
    <table name="#ench1power"> 6502 6535 6568 6601 6634 6667 6700 6733 6766 6799 6833 6866 6899 6932 6965 </table>
    <table name="#ench2mpConsume"> 78 77 76 74 73 72 70 69 68 67 65 64 63 61 60 </table>
    <table name="#ench3elementPower"> 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 </table>
    <table name="#ench4duel"> 1.01 1.02 1.02 1.03 1.04 1.04 1.05 1.06 1.06 1.07 1.08 1.08 1.09 1.1 1.11 </table> <!-- Need Verify -->
    <set name="mpConsume" val="78"/>
    <set name="magicLvl" val="78"/>
    <set name="SSBoost" val="2.0"/>
    <set name="power" val="6060"/>
    <set name="reuseDelay" val="75000"/>
    <set name="hitTime" val="1000"/>
    <set name="overHit" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="target" val="TARGET_FRONT_AREA"/>
    <set name="skillRadius" val="310"/>
    <set name="skillType" val="PDAM"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <set name="soulMaxConsumeCount" val="5"/>
    <enchant1 name="power" val="#ench1power"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <enchant3 name="element" val="4"/> <!-- Holy -->
    <enchant3 name="elementPower" val="#ench3elementPower"/>
    <enchant4 name="pvpPowerMulti" val="#ench4duel"/>
  </skill>
  <skill id="527" levels="1" name="Iron Shield">
    <set name="weaponsAllowed" val="2"/> <!-- Shield -->
    <set name="mpConsume" val="43"/>
    <set name="magicLvl" val="79"/>
    <set name="reuseDelay" val="150000"/>
    <set name="hitTime" val="1000"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="BUFF"/>
    <set name="target" val="TARGET_SELF"/>
    <for>
      <effect name="ChanceSkillTrigger" time="1200" val="0" triggeredId="5425" chanceType="ON_ATTACKED" activationChance="15"/>
    </for>
  </skill>
  <skill id="528" levels="1" name="Shield of Faith" enchantLevels1="15" enchantLevels2="15" enchantLevels3="15">
    <table name="#ench1pDef"> 3720 3840 3960 4080 4200 4320 4440 4560 4680 4800 4920 5040 5160 5280 5400 </table>
    <table name="#ench1mDef"> 2790 2880 2970 3060 3150 3240 3330 3420 3510 3600 3690 3780 3870 3960 4050 </table>
    <table name="#ench2time"> 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 </table>
    <table name="#ench3reuseDelay"> 870000 840000 810000 780000 750000 720000 690000 660000 630000 600000 570000 540000 510000 480000 450000 </table>
    <set name="mpConsume" val="43"/>
    <set name="reuseDelay" val="900000"/>
    <set name="hitTime" val="1000"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="BUFF"/>
    <set name="skillRadius" val="1000"/>
    <set name="target" val="TARGET_PARTY"/>
    <enchant3 name="reuseDelay" val="#ench3reuseDelay"/>
    <for>
      <effect name="Buff" time="15" val="0" stackOrder="1" stackType="pd_up_special">
        <add order="0x40" stat="pDef" val="3600"/>
        <add order="0x40" stat="mDef" val="2700"/>
      </effect>
      <!--
        Needs Core Support: absorbs most of the damage they (Party Members) will receive for the duration of the spell
      -->
    </for>
    <enchant1for>
      <effect name="Buff" time="15" val="0" stackOrder="1" stackType="pd_up_special">
        <add order="0x40" stat="pDef" val="#ench1pDef"/>
        <add order="0x40" stat="mDef" val="#ench1mDef"/>
      </effect>
    </enchant1for>
    <enchant2for>
      <effect name="Buff" time="#ench2time" val="0" stackOrder="1" stackType="pd_up_special">
        <add order="0x40" stat="pDef" val="3600"/>
        <add order="0x40" stat="mDef" val="2700"/>
      </effect>
    </enchant2for>
  </skill>
  <skill id="529" levels="1" name="Song of Elemental" enchantLevels1="15" enchantLevels2="15">
    <table name="#ench1time"> 194 198 202 206 210 214 218 222 226 230 234 238 242 246 250 </table>
    <table name="#ench2mpConsume"> 53 52 51 50 49 48 47 47 46 45 44 43 42 41 41 </table>
    <set name="mpConsume" val="54"/>
    <set name="nextDanceCost" val="30"/>
    <set name="isSong" val="true"/>
    <set name="reuseDelay" val="150000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_PARTY"/>
    <set name="skillRadius" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="523"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <for>
      <effect name="Buff" time="190" val="0">
        <add order="0x40" stat="fireRes" val="30"/>
        <add order="0x40" stat="waterRes" val="30"/>
        <add order="0x40" stat="earthRes" val="30"/>
        <add order="0x40" stat="windRes" val="30"/>
      </effect>
    </for>
    <enchant1for>
      <effect name="Buff" time="#ench1time" val="0">
        <add order="0x40" stat="fireRes" val="30"/>
        <add order="0x40" stat="waterRes" val="30"/>
        <add order="0x40" stat="earthRes" val="30"/>
        <add order="0x40" stat="windRes" val="30"/>
      </effect>
    </enchant1for>
  </skill>
  <skill id="530" levels="1" name="Dance of Alignment" enchantLevels1="15" enchantLevels2="15">
    <table name="#ench1time"> 194 198 202 206 210 214 218 222 226 230 234 238 242 246 250 </table>
    <table name="#ench2mpConsume"> 53 52 51 50 49 48 47 47 46 45 44 43 42 41 41 </table>
    <set name="weaponsAllowed" val="512"/> <!-- Dual Sword -->
    <set name="mpConsume" val="54"/>
    <set name="nextDanceCost" val="30"/>
    <set name="isDance" val="true"/>
    <set name="reuseDelay" val="150000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_PARTY"/>
    <set name="skillRadius" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="523"/>
    <enchant2 name="mpConsume" val="#ench2mpConsume"/>
    <for>
      <effect name="Buff" time="190" val="0">
        <add order="0x40" stat="darkRes" val="30"/>
        <add order="0x40" stat="holyRes" val="30"/>
      </effect>
    </for>
    <enchant1for>
      <effect name="Buff" time="#ench1time" val="0">
        <add order="0x40" stat="darkRes" val="30"/>
        <add order="0x40" stat="holyRes" val="30"/>
      </effect>
    </enchant1for>
  </skill>
  <skill id="531" levels="1" name="Critical Wound">
    <set name="weaponsAllowed" val="262160"/> <!-- Dagger/Dual Daggers -->
    <set name="mpConsume" val="43"/>
    <set name="magicLvl" val="79"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <for>
      <effect name="Debuff" time="30" val="0">
        <mul order="0x30" stat="critVuln" val="1.3"/>
      </effect>
    </for>
  </skill>
  <skill id="532" levels="1" name="Counter Chance">
    <!-- Needs to be verified -->
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="skillType" val="BUFF"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="triggeredId" val="5426"/>
    <set name="triggeredLevel" val="1"/>
    <set name="activationChance" val="10"/>
    <set name="chanceType" val="ON_ATTACKED"/>
  </skill>
  <skill id="533" levels="1" name="Counter Rapid Shot">
    <!-- Needs to be verified -->
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="skillType" val="BUFF"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="triggeredId" val="5427"/>
    <set name="triggeredLevel" val="1"/>
    <set name="activationChance" val="10"/>
    <set name="chanceType" val="ON_ATTACKED"/>
  </skill>
  <skill id="534" levels="1" name="Counter Dash">
    <!-- Needs to be verified -->
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="skillType" val="BUFF"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="triggeredId" val="5428"/>
    <set name="triggeredLevel" val="1"/>
    <set name="activationChance" val="10"/>
    <set name="chanceType" val="ON_ATTACKED"/>
  </skill>
  <skill id="535" levels="1" name="Counter Mind">
    <!-- Needs to be verified -->
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="skillType" val="BUFF"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="triggeredId" val="5429"/>
    <set name="triggeredLevel" val="1"/>
    <set name="activationChance" val="10"/>
    <set name="chanceType" val="ON_ATTACKED"/>
  </skill>
  <skill id="536" levels="1" name="Over the Body">
    <!-- Done by DJ MELERIX -->
    <set name="cpConsume" val="99999"/> <!-- When the skill is used, all of your CP are consumed. -->
    <set name="mpConsume" val="143"/>
    <set name="reuseDelay" val="900000"/>
    <set name="hitTime" val="2000"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="BUFF"/>
    <set name="target" val="TARGET_SELF"/>
    <cond msg="Available to use when CP is more than 80 percent.">
      <not>
        <player cp="80"/>
      </not>
    </cond>
    <for>
      <effect name="Buff" time="60" val="0" stackOrder="1" stackType="multi_buff">
        <mul order="0x30" stat="maxHp" val="1.35"/>
        <mul order="0x30" stat="regHp" val="1.15"/>
        <mul order="0x30" stat="pAtk" val="1.25"/>
        <mul order="0x30" stat="pDef" val="1.3"/>
        <mul order="0x30" stat="pAtkSpd" val="1.1"/>
        <mul order="0x30" stat="runSpd" val="1.1"/>
      </effect>
    </for>
  </skill>
  <skill id="537" levels="1" name="Spoil Bomb">
    <!-- TODO: Needs core-side support for TimeSkillTrigger effect -->
    <set name="weaponsAllowed" val="15"/> <!-- Sword/Blunt/Shield -->
    <set name="mpConsume" val="72"/>
    <set name="magicLvl" val="79"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="reuseDelay" val="15000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="SPOIL"/>
    <set name="skillRadius" val="100"/> <!-- Guess -->
    <set name="target" val="TARGET_AREA"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <for>
      <effect name="DamOverTime" time="30" val="74"/>
    </for>
  </skill>
  <skill id="538" levels="1" name="Final Form">
    <set name="mpConsume" val="70"/>
    <set name="hpConsume" val="200"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="transformId" val="251"/>
    <set name="soulConsumeCount" val="20"/>
    <for>
      <effect name="Transformation" time="300" val="0"> <!-- Transformation lasts 5 minutes -->
        <mul order="0x30" stat="maxHp" val="1.1"/> <!-- Max Hp +10% -->
        <mul order="0x30" stat="maxCp" val="1.1"/> <!-- Max Cp +10% -->
        <mul order="0x30" stat="maxMp" val="1.1"/> <!-- Max Mp +10% -->
        <mul order="0x30" stat="pAtk" val="2"/> <!-- pAtk +100% -->
        <mul order="0x30" stat="pDef" val="2"/> <!-- pDef +100% -->
        <mul order="0x30" stat="mAtk" val="2"/> <!-- mAtk +100% -->
        <mul order="0x30" stat="mDef" val="2"/> <!-- mDef +100% -->
        <add order="0x40" stat="runSpd" val="4"/> <!-- Run Speed +4 -->
        <set order="0x08" stat="STR" val="41"/>
        <set order="0x08" stat="DEX" val="33"/>
        <set order="0x08" stat="CON" val="31"/>
        <set order="0x08" stat="INT" val="29"/>
        <set order="0x08" stat="WIT" val="11"/>
        <set order="0x08" stat="MEN" val="25"/>
      </effect>
    </for>
  </skill>
  <skill id="539" levels="1" name="Nail Attack">
    <set name="mpConsume" val="71"/>
    <set name="power" val="2583"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="13000"/>
    <set name="hitTime" val="1000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="540" levels="1" name="Wing Assault">
    <set name="mpConsume" val="71"/>
    <set name="magicLvl" val="76"/>
    <set name="power" val="2067"/>
    <set name="SSBoost" val="2.0"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="13000"/>
    <set name="hitTime" val="800"/>
    <set name="target" val="TARGET_FRONT_AREA"/>
    <set name="skillRadius" val="600"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="flyType" val="CHARGE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <cond msgId="113" addName="1">
      <target mindistance="200"/>
    </cond>
    <for>
      <effect name="EnemyCharge" val="0" noicon="1"/>
    </for>
  </skill>
  <skill id="541" levels="1" name="Transform Grail Apostle">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="201"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="41"/>
        <set order="0x08" stat="DEX" val="31"/>
        <set order="0x08" stat="CON" val="41"/>
        <set order="0x08" stat="INT" val="21"/>
        <set order="0x08" stat="WIT" val="11"/>
        <set order="0x08" stat="MEN" val="25"/>
      </effect>
    </for>
  </skill>
  <skill id="542" levels="1" name="Transform Grail Apostle">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="202"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="41"/>
        <set order="0x08" stat="DEX" val="31"/>
        <set order="0x08" stat="CON" val="41"/>
        <set order="0x08" stat="INT" val="21"/>
        <set order="0x08" stat="WIT" val="11"/>
        <set order="0x08" stat="MEN" val="25"/>
      </effect>
    </for>
  </skill>
  <skill id="543" levels="1" name="Transform Grail Apostle">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="203"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="41"/>
        <set order="0x08" stat="DEX" val="31"/>
        <set order="0x08" stat="CON" val="41"/>
        <set order="0x08" stat="INT" val="21"/>
        <set order="0x08" stat="WIT" val="11"/>
        <set order="0x08" stat="MEN" val="25"/>
      </effect>
    </for>
  </skill>
  <skill id="544" levels="1" name="Transform Unicorn">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="204"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="37"/>
        <set order="0x08" stat="DEX" val="36"/>
        <set order="0x08" stat="CON" val="34"/>
        <set order="0x08" stat="INT" val="23"/>
        <set order="0x08" stat="WIT" val="14"/>
        <set order="0x08" stat="MEN" val="26"/>
      </effect>
    </for>
  </skill>
  <skill id="545" levels="1" name="Transform Unicorn">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="205"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="37"/>
        <set order="0x08" stat="DEX" val="36"/>
        <set order="0x08" stat="CON" val="34"/>
        <set order="0x08" stat="INT" val="23"/>
        <set order="0x08" stat="WIT" val="14"/>
        <set order="0x08" stat="MEN" val="26"/>
      </effect>
    </for>
  </skill>
  <skill id="546" levels="1" name="Transform Unicorn">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="206"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="37"/>
        <set order="0x08" stat="DEX" val="36"/>
        <set order="0x08" stat="CON" val="34"/>
        <set order="0x08" stat="INT" val="23"/>
        <set order="0x08" stat="WIT" val="14"/>
        <set order="0x08" stat="MEN" val="26"/>
      </effect>
    </for>
  </skill>
  <skill id="547" levels="1" name="Transform Lilim Knight">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="207"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="43"/>
        <set order="0x08" stat="DEX" val="34"/>
        <set order="0x08" stat="CON" val="30"/>
        <set order="0x08" stat="INT" val="25"/>
        <set order="0x08" stat="WIT" val="12"/>
        <set order="0x08" stat="MEN" val="26"/>
      </effect>
    </for>
  </skill>
  <skill id="548" levels="1" name="Transform Lilim Knight">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="208"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="43"/>
        <set order="0x08" stat="DEX" val="34"/>
        <set order="0x08" stat="CON" val="30"/>
        <set order="0x08" stat="INT" val="25"/>
        <set order="0x08" stat="WIT" val="12"/>
        <set order="0x08" stat="MEN" val="26"/>
      </effect>
    </for>
  </skill>
  <skill id="549" levels="1" name="Transform Lilim Knight">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="209"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="43"/>
        <set order="0x08" stat="DEX" val="34"/>
        <set order="0x08" stat="CON" val="30"/>
        <set order="0x08" stat="INT" val="25"/>
        <set order="0x08" stat="WIT" val="12"/>
        <set order="0x08" stat="MEN" val="26"/>
      </effect>
    </for>
  </skill>
  <skill id="550" levels="1" name="Transform Golem Guardian">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="210"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="40"/>
        <set order="0x08" stat="DEX" val="30"/>
        <set order="0x08" stat="CON" val="43"/>
        <set order="0x08" stat="INT" val="20"/>
        <set order="0x08" stat="WIT" val="10"/>
        <set order="0x08" stat="MEN" val="27"/>
      </effect>
    </for>
  </skill>
  <skill id="551" levels="1" name="Transform Golem Guardian">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="211"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="40"/>
        <set order="0x08" stat="DEX" val="30"/>
        <set order="0x08" stat="CON" val="43"/>
        <set order="0x08" stat="INT" val="20"/>
        <set order="0x08" stat="WIT" val="10"/>
        <set order="0x08" stat="MEN" val="27"/>
      </effect>
    </for>
  </skill>
  <skill id="552" levels="1" name="Transform Golem Guardian">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="212"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="40"/>
        <set order="0x08" stat="DEX" val="30"/>
        <set order="0x08" stat="CON" val="43"/>
        <set order="0x08" stat="INT" val="20"/>
        <set order="0x08" stat="WIT" val="10"/>
        <set order="0x08" stat="MEN" val="27"/>
      </effect>
    </for>
  </skill>
  <skill id="553" levels="1" name="Transform Inferno Drake">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="213"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="42"/>
        <set order="0x08" stat="DEX" val="26"/>
        <set order="0x08" stat="CON" val="45"/>
        <set order="0x08" stat="INT" val="18"/>
        <set order="0x08" stat="WIT" val="12"/>
        <set order="0x08" stat="MEN" val="27"/>
      </effect>
    </for>
  </skill>
  <skill id="554" levels="1" name="Transform Inferno Drake">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="214"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="42"/>
        <set order="0x08" stat="DEX" val="26"/>
        <set order="0x08" stat="CON" val="45"/>
        <set order="0x08" stat="INT" val="18"/>
        <set order="0x08" stat="WIT" val="12"/>
        <set order="0x08" stat="MEN" val="27"/>
      </effect>
    </for>
  </skill>
  <skill id="555" levels="1" name="Transform Inferno Drake">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="215"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="42"/>
        <set order="0x08" stat="DEX" val="26"/>
        <set order="0x08" stat="CON" val="45"/>
        <set order="0x08" stat="INT" val="18"/>
        <set order="0x08" stat="WIT" val="12"/>
        <set order="0x08" stat="MEN" val="27"/>
      </effect>
    </for>
  </skill>
  <skill id="556" levels="1" name="Transform Dragon Bomber">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="216"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="43"/>
        <set order="0x08" stat="DEX" val="33"/>
        <set order="0x08" stat="CON" val="29"/>
        <set order="0x08" stat="INT" val="29"/>
        <set order="0x08" stat="WIT" val="11"/>
        <set order="0x08" stat="MEN" val="25"/>
      </effect>
    </for>
  </skill>
  <skill id="557" levels="1" name="Transform Dragon Bomber">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="217"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="43"/>
        <set order="0x08" stat="DEX" val="33"/>
        <set order="0x08" stat="CON" val="29"/>
        <set order="0x08" stat="INT" val="29"/>
        <set order="0x08" stat="WIT" val="11"/>
        <set order="0x08" stat="MEN" val="25"/>
      </effect>
    </for>
  </skill>
  <skill id="558" levels="1" name="Transform Dragon Bomber">
    <set name="mpInitialConsume" val="6"/>
    <set name="mpConsume" val="25"/>
    <set name="isMagic" val="true"/>
    <set name="reuseDelay" val="3600000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="staticReuse" val="true"/>
    <set name="staticHitTime" val="true"/>
    <set name="transformId" val="218"/>
    <cond msgId="1509">
      <player olympiad="false"/>
    </cond>
    <for>
      <effect name="Transformation" time="1800" val="0"> <!-- Transformation lasts 30 minutes -->
        <set order="0x08" stat="STR" val="43"/>
        <set order="0x08" stat="DEX" val="33"/>
        <set order="0x08" stat="CON" val="29"/>
        <set order="0x08" stat="INT" val="29"/>
        <set order="0x08" stat="WIT" val="11"/>
        <set order="0x08" stat="MEN" val="25"/>
      </effect>
    </for>
  </skill>
  <skill id="559" levels="4" name="Spear">
    <table name="#power"> 900 1013 1129 1248 </table>
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#effectLevel"> 6 6 7 7 </table>
    <set name="weaponsAllowed" val="72"/> <!-- Blunt/Pole -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="38000"/>
    <set name="hitTime" val="1000"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="skillRadius" val="100"/>
    <set name="effectRange" val="400"/>
    <set name="effectType" val="BLEED"/>
    <set name="effectLevel" val="#effectLevel"/>
  </skill>
  <skill id="560" levels="4" name="Power Slash">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 1250 1406 1568 1733 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="5000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <set name="skillRadius" val="100"/>
  </skill>
  <skill id="561" levels="4" name="Bless of Angel">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#aggroPoints"> 223 301 379 454 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="reuseDelay" val="10000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_PARTY"/>
    <set name="skillRadius" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="#aggroPoints"/>
    <for>
      <effect name="Buff" time="120" val="0">
        <mul order="0x30" stat="pAtk" val="1.12"/>
      </effect>
    </for>
  </skill>
  <skill id="562" levels="4" name="Wind of Angel">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#aggroPoints"> 549 655 655 655 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="reuseDelay" val="10000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_PARTY"/>
    <set name="skillRadius" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="#aggroPoints"/>
    <for>
      <effect name="Buff" time="120" val="0">
        <add order="0x40" stat="rEvas" val="3"/>
      </effect>
    </for>
  </skill>
  <skill id="563" levels="4" name="Horn of Doom">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 1250 1406 1568 1733 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="SSBoost" val="2.0"/>
    <set name="hitTime" val="1000"/>
    <set name="reuseDelay" val="5000"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <set name="skillRadius" val="100"/>
  </skill>
  <skill id="564" levels="4" name="Gravity Control">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="hitTime" val="2000"/>
    <set name="reuseDelay" val="5000"/>
    <set name="power" val="5000"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="40"/>
    <set name="skillRadius" val="200"/>
    <for>
      <effect name="Buff" val="0" time="60" stackOrder="200" stackType="gravitycontrol">
        <mul order="0x30" stat="pAtkSpd" val="0.9"/>
        <sub order="0x40" stat="runSpd" val="35"/>
      </effect>
    </for>
  </skill>
  <skill id="565" levels="4" name="Horn Assault">
    <table name="#mpConsume"> 50 56 62 70 </table>
    <table name="#power"> 938 1055 1176 1300 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="reuseDelay" val="5000"/>
    <set name="hitTime" val="2000"/>
    <set name="SSBoost" val="2.0"/>
    <set name="target" val="TARGET_FRONT_AREA"/>
    <set name="skillRadius" val="600"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="900"/>
    <set name="effectRange" val="1400"/>
    <!-- set name="flyType" val="CHARGE"/>
    <set name="flyRadius" val="400"/>
    <for>
      <effect name="EnemyCharge" val="0" noicon="1"/>
    </for --> <!-- Verify if Charge skill -->
  </skill>
  <skill id="567" levels="4" name="Light of Heal">
    <table name="#mpInitialConsume"> 16 18 20 23 </table>
    <table name="#mpConsume"> 64 72 80 90 </table>
    <table name="#power"> 690 731 770 806 </table>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="reuseDelay" val="10000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="HEAL"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="568" levels="4" name="Attack Buster">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 1250 1406 1568 1733 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="SSBoost" val="2.0"/>
    <set name="hitTime" val="1000"/>
    <set name="reuseDelay" val="5000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillRadius" val="600"/>
    <set name="skillType" val="CHARGEDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="needCharges" val="2"/>
  </skill>
  <skill id="569" levels="4" name="Attack Storm">
    <table name="#power"> 625 703 784 867 </table>
    <table name="#mpConsume"> 68 70 74 78 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="hitTime" val="2000"/>
    <set name="reuseDelay" val="5000"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillRadius" val="100"/>
    <set name="skillType" val="CHARGEDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="SSBoost" val="2.0"/>
    <set name="castRange" val="500"/>
    <set name="needCharges" val="3"/>
  </skill>
  <skill id="570" levels="4" name="Attack Rage">
    <table name="#power"> 904 1108 1235 1404 </table>
    <table name="#maxCharges"> 1 2 3 4 </table>
    <set name="mpConsume" val="5"/>
    <set name="hpConsume" val="50"/>
    <set name="power" val="#power"/>
    <set name="SSBoost" val="2.0"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="5200"/>
    <set name="hitTime" val="1000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="baseCritRate" val="18"/>
    <!-- charge values -->
    <set name="maxCharges" val="#maxCharges"/>
    <set name="giveCharges" val="1"/>
  </skill>
  <skill id="571" levels="4" name="Poison Dust">
    <table name="#mpInitialConsume"> 5 5 6 7 </table>
    <table name="#mpConsume"> 18 22 23 26 </table>
    <table name="#dmg"> 114 114 132 132 </table>
    <table name="#effectLevel"> 6 6 7 7 </table>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="lvlDepend" val="1"/>
    <set name="reuseDelay" val="18000"/>
    <set name="hitTime" val="3000"/>
    <set name="effectType" val="POISON"/>
    <set name="effectLevel" val="#effectLevel"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="skillType" val="POISON"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="effectRange" val="200"/>
    <for>
      <effect count="10" name="DamOverTime" time="3" val="#dmg" abnormal="poison"/>
    </for>
  </skill>
  <skill id="572" levels="4" name="Double Slasher">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 938 1055 1176 1300 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="15000"/>
    <set name="hitTime" val="1000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="573" levels="4" name="Earthquake">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 625 703 784 867 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="lvlDepend" val="1"/>
    <set name="overHit" val="true"/>
    <set name="hitTime" val="3000"/>
    <set name="coolTime" val="2500"/>
    <set name="isDebuff" val="true"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="baseCritRate" val="15"/>
    <for>
      <effect name="Stun" time="5" val="0" stackOrder="1" stackType="Stun" effectPower="50" effectType="STUN"/> <!-- Guess effectPower -->
    </for>
  </skill>
  <skill id="574" levels="4" name="Bomb Installation">
    <!--Needs to be verified "no sql stats for the NpcId"-->
    <table name="#trapNpcId"> 13037 13038 13039 13040 </table>
    <table name="#triggerlvl"> 4 5 6 7 </table>
    <set name="mpConsume" val="50"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="120000"/>
    <set name="hitTime" val="3000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="SUMMON_TRAP"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillRadius" val="350"/>
    <set name="triggerSkillId" val="5267"/>
    <set name="triggerSkillLvl" val="#triggerlvl"/>
    <set name="trapNpcId" val="#trapNpcId"/>
    <set name="summonTotalLifeTime" val="30000"/>
  </skill>
  <skill id="575" levels="4" name="Steel Cutter">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 1250 1406 1568 1733 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="SSBoost" val="2.0"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="13000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="720"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="576" levels="4" name="Paw Strike">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 1250 1406 1568 1733 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="9500"/>
    <set name="hitTime" val="1000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="577" levels="4" name="Fire Breath">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 875 984 1098 1213 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="lvlDepend" val="1"/>
    <set name="reuseDelay" val="14000"/>
    <set name="hitTime" val="1000"/>
    <set name="element" val="2"/> <!-- Wind -->
    <!-- maybe we need a better way to use elemental damage on physical skills... -->
    <set name="target" val="TARGET_FRONT_AURA"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="100"/>
    <set name="effectRange" val="600"/>
  </skill>
  <skill id="578" levels="4" name="Blaze Quake">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 625 703 784 867 </table>
    <table name="#effectLevel"> 6 6 7 7 </table>
    <table name="#dmg"> 114 120 129 132 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="reuseDelay" val="15000"/>
    <set name="hitTime" val="1000"/>
    <set name="element" val="0"/> <!-- Fire -->
    <!-- maybe we need a better way to use elemental damage on physical skills... -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillRadius" val="200"/>
    <set name="effectType" val="DOT"/>
    <set name="effectRange" val="200"/>
    <set name="effectLevel" val="#effectLevel"/>
    <for>
      <effect count="11" name="DamOverTime" time="3" val="#dmg" abnormal="bleed"/>
    </for>
  </skill>
  <skill id="579" levels="4" name="Fire Armor">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#pDef"> 1.12 1.19 1.22 1.25 </table>
    <table name="#reflectDam"> 20 25 30 35 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="reuseDelay" val="35000"/>
    <set name="hitTime" val="1000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="ImmobileBuff" time="30" val="0" stackOrder="1" stackType="fireArmor">
        <mul order="0x30" stat="pDef" val="#pDef"/>
        <add order="0x40" stat="reflectDam" val="#reflectDam"/>
        <sub order="0x40" stat="fireRes" val="30"/>
      </effect>
    </for>
  </skill>
  <skill id="580" levels="4" name="Death Blow">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#accCombat"> 13 15 17 19 </table>
    <table name="#power"> 1500 2000 2500 3000 </table>
    <!-- I think the aggro points are missing also... Need check -->
    <set name="mpConsume" val="#mpConsume"/>
    <set name="magicLvl" val="50"/>
    <set name="power" val="#power"/>
    <set name="overHit" val="true"/>
    <set name="SSBoost" val="1.05"/>
    <set name="reuseDelay" val="11250"/>
    <set name="hitTime" val="3000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillRadius" val="200"/>
    <set name="skillType" val="BLOW"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="lethal1" val="5"/>
    <set name="lethal2" val="2"/>
    <set name="effectRange" val="360"/>
    <!-- <set name="nextAction" val="attack"/> --> <!-- To prevent character stop from attacking -->
    <for>
      <effect name="Buff" time="15" val="0" stackOrder="#accCombat" stackType="accuracyDown">
        <sub order="0x40" stat="accCombat" val="#accCombat"/>
      </effect>
    </for>
  </skill>
  <skill id="581" levels="4" name="Sand Cloud">
    <!-- Needs retail accuracy check -->
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#accCombat"> 13 15 17 19 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="3000"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <set name="effectRange" val="360"/>
    <for>
      <effect name="Debuff" time="15" val="0" stackOrder="#accCombat" stackType="accuracyDown">
        <sub order="0x40" stat="accCombat" val="#accCombat"/>
      </effect>
    </for>
  </skill>
  <skill id="582" levels="4" name="Scope Bleed">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <table name="#power"> 875 984 1098 1213 </table>
    <table name="#dot"> 102 123 155 198 </table>
    <table name="#abnormalLvl"> 6 6 7 7 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="720"/>
    <set name="target" val="TARGET_FRONT_AREA"/>
    <set name="skillRadius" val="40"/>
    <set name="activateRate" val="30"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <!-- <set name="nextAction" val="attack"/> --> <!-- To prevent character stop from attacking -->
    <for>
      <effect count="5" name="DamOverTime" time="3" val="#dot" abnormal="bleed" effectPower="40" effectType="BLEED"> <!-- Guess effectPower -->
        <mul order="0x30" stat="runSpd" val="0.8"/>
      </effect>
    </for>
  </skill>
  <skill id="583" levels="4" name="Assimilation">
    <table name="#mpConsume"> 61 63 67 70 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="reuseDelay" val="60000"/>
    <set name="hitTime" val="2000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="dispelOnAttack" val="true"/>
    <for>
      <effect name="SilentMove" abnormal="stealth" time="120" val="0">
        <sub order="0x40" stat="runSpd" val="18"/>
      </effect>
    </for>
  </skill>
  <skill id="584" levels="1" name="Power Claw">
    <!-- CT2.2 retail confirmed -->
    <set name="mpConsume" val="55"/>
    <set name="power" val="1008"/>
    <set name="overHit" val="true"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="720"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="585" levels="1" name="Fast Moving">
    <!-- CT2.2 retail confirmed -->
    <set name="mpConsume" val="55"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="30000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="438"/>
    <for>
      <effect name="Buff" time="15" val="0">
        <mul order="0x30" stat="runSpd" val="1.45"/>
      </effect>
    </for>
  </skill>
  <skill id="586" levels="2" name="Rolling Attack">
    <!-- CT2.2 retail confirmed -->
    <table name="#mpConsume"> 54 58 </table>
    <table name="#power"> 840 984 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="overHit" val="true"/>
    <set name="ignoreShld" val="true"/>
    <set name="reuseDelay" val="4000"/>
    <set name="hitTime" val="2000"/>
    <set name="coolTime" val="733"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="587" levels="2" name="Earth Storm">
    <!-- CT2.2 retail confirmed -->
    <table name="#mpConsume"> 54 58 </table>
    <table name="#power"> 1200 1406 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="overHit" val="true"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="720"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="588" levels="2" name="Curse of Darkness">
    <!-- CT2.2 retail confirmed -->
    <table name="#mpConsume"> 54 58 </table>
    <table name="#dmg"> 215 336 </table>
    <set name="target" val="TARGET_ONE"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="80"/>
    <set name="reuseDelay" val="11000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="350"/>
    <set name="skillType" val="DOT"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <for>
      <effect count="5" name="DamOverTime" time="3" val="#dmg"/>
    </for>
  </skill>
  <skill id="589" levels="2" name="Darkness Energy Drain">
    <!-- unconfirmed drain power -->
    <table name="#mpConsume"> 54 58 </table>
    <table name="#power"> 260 467 </table>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="SSBoost" val="2.0"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="350"/>
    <set name="target" val="TARGET_CORPSE_PLAYER"/> <!-- Originally mob only -->
    <set name="skillType" val="DRAIN"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="20"/>
    <set name="effectRange" val="200"/>
  </skill>
  <skill id="590" levels="1" name="Residence Body">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="maxHp" val="222"/>
    </for>
  </skill>
  <skill id="591" levels="1" name="Residence Spirit">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="maxCp" val="444"/>
    </for>
  </skill>
  <skill id="592" levels="1" name="Residence Soul">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="maxMp" val="168"/>
    </for>
  </skill>
  <skill id="593" levels="1" name="Residence Health">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="regHp" val="1.09"/>
    </for>
  </skill>
  <skill id="594" levels="1" name="Residence Moral">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="regCp" val="1.09"/>
    </for>
  </skill>
  <skill id="595" levels="1" name="Residence Clarity">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="regMp" val="0.47"/>
    </for>
  </skill>
  <skill id="596" levels="1" name="Residence Might">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="pAtk" val="34.6"/>
    </for>
  </skill>
  <skill id="597" levels="1" name="Residence Shield">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="pDef" val="54.7"/>
    </for>
  </skill>
  <skill id="598" levels="1" name="Residence Empower">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="mAtk" val="40.4"/>
    </for>
  </skill>
  <skill id="599" levels="1" name="Residence Magic Barrier">
    <!-- by Sephiroth -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="isMagic" val="true"/>
    <for>
      <add order="0x40" stat="mDef" val="44"/>
    </for>
  </skill>
</list>
